<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.diyva.life
 * @since      1.0.0
 *
 * @package    Diyva_Voice_Survey
 * @subpackage Diyva_Voice_Survey/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->


<div class="wrap">

	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

	<form method="post" name="dialog-settings" action="options.php">

	<?php
		//Grab all options
		$settings_path 	= $this->plugin_name.'-dialog-settings';
		$options 		= get_option($settings_path);

		$dailog_url 	= !empty($options['dailog_url']) ? $options['dailog_url'] : null;
		
	?>


	<?php
		settings_fields( $settings_path );
		do_settings_sections( $settings_path );
	?>
	
	<table class="form-table">
		<tbody>
			<tr>
				<th><label for="dailog_url">Dailog URL</label></th>
				<td><input name="<?php echo esc_attr($settings_path); ?>[dailog_url]" id="dailog_url" type="url" value="<?php echo esc_attr($dailog_url);  ?>" class="regular-text" placeholder="Dailog URL" /></td>
			</tr>
		</tbody>
	</table>
			
    <?php submit_button('Save all changes', 'primary','submit', TRUE); ?>

    </form>

</div>
