<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://www.diyva.life
 * @since      1.0.0
 *
 * @package    Diyva_Voice_Survey
 * @subpackage Diyva_Voice_Survey/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Diyva_Voice_Survey
 * @subpackage Diyva_Voice_Survey/includes
 * @author     Diyva <sales@datajhoom.com>
 */
class Diyva_Voice_Survey_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'diyva-voice-survey',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
