(function ($) {
  "use strict";

  /**
   * All of the code for your public-facing JavaScript source
   * should reside in this file.
   *
   * Note: It has been assumed you will write jQuery code here, so the
   * $ function reference has been prepared for usage within the scope
   * of this function.
   *
   * This enables you to define handlers, for when the DOM is ready:
   *
   * $(function() {
   *
   * });
   *
   * When the window is loaded:
   *
   * $( window ).load(function() {
   *
   * });
   *
   * ...and/or other possibilities.
   *
   * Ideally, it is not considered best practise to attach more than a
   * single DOM-ready or window-load handler for a particular page.
   * Although scripts in the WordPress core, Plugins and Themes may be
   * practising this, we should strive to set a better example in our own work.
   */

  $(window).load(function () {
    var userFeedbackClick =
      document.querySelector(".diyva-dialog-user-feedback-click") !== null;
    var removeButton =
      document.querySelector(
        ".diyva-dialog-survey-group .diyva-dialog-remove-button"
      ) !== null;

    if (removeButton) {
      document.querySelector(".diyva-dialog-user-feedback-click").onclick =
        function () {
          document.querySelector(".diyva-dialog-survey-group").style.cssText =
            "display:block;";
        };
    }

    if (removeButton) {
      document.querySelector(
        ".diyva-dialog-survey-group .diyva-dialog-remove-button"
      ).onclick = function (e) {
        e.stopPropagation();
        e.preventDefault();
        document.querySelector(".diyva-dialog-survey-group").style.cssText =
          "display:none;";
      };
    }
  });
})(jQuery);
